org.springframework.messaging.handler

## Interface MessagingAdviceBean

All Superinterfaces:
  org.springframework.core.Ordered

    public interface MessagingAdviceBean
    extends org.springframework.core.Ordered

Represents a Spring-managed bean with cross-cutting functionality to be applied to one or more Spring beans with annotation-based message handling methods.

Component stereotypes such as `@Controller` with annotation handler methods often need cross-cutting functionality across all or a subset of such annotated components. A primary example of this is the need for "global" annotated exception handler methods but the concept applies more generally.

Since:
  4.2
Author:
  Rossen Stoyanchev

### Field Summary

### Fields inherited from interface org.springframework.core.Ordered

`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

### Method Summary

All Methods Instance Methods Abstract Methods
`Class<?>` `getBeanType()` Return the type of the contained advice bean.
`boolean` `isApplicableToBeanType(Class<?> beanType)` Whether this `MessagingAdviceBean` applies to the given bean type.
`Object` `resolveBean()` Return the advice bean instance, if necessary resolving a bean specified by name through the BeanFactory.

### Methods inherited from interface org.springframework.core.Ordered

`getOrder`

### Method Detail

#### getBeanType

    @Nullable
    Class<?> getBeanType()

Return the type of the contained advice bean.

If the bean type is a CGLIB-generated class, the original user-defined class is returned.

#### resolveBean

    Object resolveBean()

Return the advice bean instance, if necessary resolving a bean specified by name through the BeanFactory.

#### isApplicableToBeanType

    boolean isApplicableToBeanType(Class<?> beanType)

Whether this `MessagingAdviceBean` applies to the given bean type.

Parameters:
  `beanType` - the type of the bean to check